FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2020 PLD Team
$Revision: 1.37 $
Powered by /dev/zero.
Your IP: 3.237.66.86

vtk 8057abcf-eab0-460d-8de3-4d1f4aa87c20

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x32/FAIL/vtk,8057abcf-eab0-460d-8de3-4d1f4aa87c20.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2020/11/22 00:09:10

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • poldek: error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
  • error 3
  • poldek: error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
  • error 4
  • poldek: error: vtk-8.2.0-1.x32: req libnetcdf.so.15()(x32bit) not found
  • error 5
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonDataModel.so.1()(x32bit) not found
  • error 6
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonExecutionModel.so.1()(x32bit) not found
  • error 7
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonMath.so.1()(x32bit) not found
  • error 8
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonTransforms.so.1()(x32bit) not found
  • error 9
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersCore.so.1()(x32bit) not found
  • error 10
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersExtraction.so.1()(x32bit) not found
  • error 11
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersGeneral.so.1()(x32bit) not found
  • error 12
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersSources.so.1()(x32bit) not found
  • error 13
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersTexture.so.1()(x32bit) not found
  • error 14
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOCore.so.1()(x32bit) not found
  • error 15
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOExport.so.1()(x32bit) not found
  • error 16
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOGeometry.so.1()(x32bit) not found
  • error 17
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOImage.so.1()(x32bit) not found
  • error 18
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOPLY.so.1()(x32bit) not found
  • error 19
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkImagingCore.so.1()(x32bit) not found
  • error 20
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkInteractionStyle.so.1()(x32bit) not found
  • error 21
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingCore.so.1()(x32bit) not found
  • error 22
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingFreeType.so.1()(x32bit) not found
  • error 23
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingGL2PSOpenGL2.so.1()(x32bit) not found
  • error 24
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingLOD.so.1()(x32bit) not found
  • error 25
  • poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingOpenGL2.so.1()(x32bit) not found
  • error 26
  • poldek: error: gdal-devel-3.0.4-2.x32: req gdal = 3.0.4-2 not found
  • error 27
  • poldek: error: 25 unresolved dependencies
  • error 28
  • poldek: error: Failed dependencies:
  • error 29
  • error: vtk: no such package
  • error 30
  • error: gdal: no such package
  • error 31
  • rpm: error: Failed build dependencies:
  • error 32
  • error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
  • error 33
  • error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
  • error 34
  • error: vtk-8.2.0-1.x32: req libnetcdf.so.15()(x32bit) not found
  • error 35
  • error: opencv-viz-3.4.8-2.x32: req libvtkCommonDataModel.so.1()(x32bit) not found
  • error 36
  • error: opencv-viz-3.4.8-2.x32: req libvtkCommonExecutionModel.so.1()(x32bit) not found
  • error 37
  • error: opencv-viz-3.4.8-2.x32: req libvtkCommonMath.so.1()(x32bit) not found
  • error 38
  • error: opencv-viz-3.4.8-2.x32: req libvtkCommonTransforms.so.1()(x32bit) not found
  • error 39
  • error: opencv-viz-3.4.8-2.x32: req libvtkFiltersCore.so.1()(x32bit) not found
  • error 40
  • error: opencv-viz-3.4.8-2.x32: req libvtkFiltersExtraction.so.1()(x32bit) not found
  • error 41
  • error: opencv-viz-3.4.8-2.x32: req libvtkFiltersGeneral.so.1()(x32bit) not found
  • error 42
  • error: opencv-viz-3.4.8-2.x32: req libvtkFiltersSources.so.1()(x32bit) not found
  • error 43
  • error: opencv-viz-3.4.8-2.x32: req libvtkFiltersTexture.so.1()(x32bit) not found
  • error 44
  • error: opencv-viz-3.4.8-2.x32: req libvtkIOCore.so.1()(x32bit) not found
  • error 45
  • error: opencv-viz-3.4.8-2.x32: req libvtkIOExport.so.1()(x32bit) not found
  • error 46
  • error: opencv-viz-3.4.8-2.x32: req libvtkIOGeometry.so.1()(x32bit) not found
  • error 47
  • error: opencv-viz-3.4.8-2.x32: req libvtkIOImage.so.1()(x32bit) not found
  • error 48
  • error: opencv-viz-3.4.8-2.x32: req libvtkIOPLY.so.1()(x32bit) not found
  • error 49
  • error: opencv-viz-3.4.8-2.x32: req libvtkImagingCore.so.1()(x32bit) not found
  • error 50
  • error: opencv-viz-3.4.8-2.x32: req libvtkInteractionStyle.so.1()(x32bit) not found
  • error 51
  • error: opencv-viz-3.4.8-2.x32: req libvtkRenderingCore.so.1()(x32bit) not found
  • error 52
  • error: opencv-viz-3.4.8-2.x32: req libvtkRenderingFreeType.so.1()(x32bit) not found
  • error 53
  • error: opencv-viz-3.4.8-2.x32: req libvtkRenderingGL2PSOpenGL2.so.1()(x32bit) not found
  • error 54
  • error: opencv-viz-3.4.8-2.x32: req libvtkRenderingLOD.so.1()(x32bit) not found
  • error 55
  • error: opencv-viz-3.4.8-2.x32: req libvtkRenderingOpenGL2.so.1()(x32bit) not found
  • error 56
  • error: 24 unresolved dependencies
  • error 57
  • error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
  • error 58
  • error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
  • error 59
  • error: 2 unresolved dependencies
  • error 60
  • error: BR installation failed

Content:

request from: atler
checking if we should skip the build
started at: Sun Nov 22 00:08:21 2020
killing old processes on a builder
sending signal 9 to pid -1
Killed
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/8057abcf-eab0-460d-8de3-4d1f4aa87c20/vtk-8.2.0-1.src.rpm
fetched 337866349 bytes, 11453.1 K/s
installing srpm: vtk-8.2.0-1.src.rpm
+ install -d /tmp/B.cAK3bb/BUILD /tmp/B.cAK3bb/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog vtk-8.2.0-1.src.rpm
+ rpm -Uhv --nodeps --define '_topdir /tmp/B.cAK3bb' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' vtk-8.2.0-1.src.rpm
Preparing...                ##################################################
vtk                         ##################################################
+ rm -f vtk-8.2.0-1.src.rpm
+ install -m 700 -d /tmp/B.cAK3bb/BUILD/tmp
+ TMPDIR=/tmp/B.cAK3bb/BUILD/tmp
+ exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.cAK3bb' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x32-pld-linux --define 'prep exit 0' /tmp/B.cAK3bb/vtk.spec
Building target platforms: x32-pld-linux
checking BuildConflict-ing packages
no BuildConflicts found
checking BR
rpm: error: Failed build dependencies:
rpm: 	eigen3 >= 2.91.0 is needed by vtk-8.2.0-1.src
rpm: 	ffmpeg-devel is needed by vtk-8.2.0-1.src
rpm: 	gdal-devel is needed by vtk-8.2.0-1.src
rpm: 	netcdf-cxx-devel >= 4 is needed by vtk-8.2.0-1.src
rpm: Building target platforms: x32-pld-linux
updating poldek cache...
ready is up to date
th is up to date
th is up to date
th-ready is up to date
th-ready is up to date
th-test is up to date
th-test is up to date
checking conflicting packages in BRed packages
poldek: Loading [pndir]ready...
poldek: Loading [pndir]th-test...
poldek: Loading [pndir]th-test...
poldek: Loading [pndir]th-ready...
poldek: Loading [pndir]th-ready...
poldek: Loading [pndir]th...
poldek: Loading [pndir]th...
poldek: 28057 packages read
poldek: Removed 2219 duplicate packages from available set
poldek: Processing dependencies...
poldek: ffmpeg-devel-4.3.1-1.x32 marks opencv-devel-3.4.8-2.x32 (cap opencv-devel >= 2)
poldek:  opencv-devel-3.4.8-2.x32 marks opencv-viz-3.4.8-2.x32 (cap opencv-viz = 1:3.4.8-2)
poldek:   opencv-viz-3.4.8-2.x32 marks vtk-8.2.0-1.x32 (cap libvtkCommonCore.so.1()(x32bit))
poldek:    vtk-8.2.0-1.x32 marks gdal-3.0.4-2.x32 (cap libgdal.so.26()(x32bit))
poldek: error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
poldek: error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
poldek: error: vtk-8.2.0-1.x32: req libnetcdf.so.15()(x32bit) not found
poldek:    vtk-8.2.0-1.x32 marks vtk-python3-8.2.0-1.x32 (cap libvtkWrappingPython38Core.so.1()(x32bit))
poldek:     vtk-python3-8.2.0-1.x32 marks vtk-qt-8.2.0-1.x32 (cap libvtkRenderingQt.so.1()(x32bit))
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonDataModel.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonExecutionModel.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonMath.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkCommonTransforms.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersCore.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersExtraction.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersGeneral.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersSources.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkFiltersTexture.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOCore.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOExport.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOGeometry.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOImage.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkIOPLY.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkImagingCore.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkInteractionStyle.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingCore.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingFreeType.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingGL2PSOpenGL2.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingLOD.so.1()(x32bit) not found
poldek: error: opencv-viz-3.4.8-2.x32: req libvtkRenderingOpenGL2.so.1()(x32bit) not found
poldek: error: gdal-devel-3.0.4-2.x32: req gdal = 3.0.4-2 not found
poldek: netcdf-cxx-devel-4.2-7.x32 marks netcdf-cxx-4.2-7.x32 (cap netcdf-cxx = 4.2-7)
poldek: There are 11 packages to install (7 marked by dependencies):
poldek: A eigen3-3.3.7-1.x32  ffmpeg-devel-4.3.1-1.x32  gdal-3.0.4-2.x32
poldek: A gdal-devel-3.0.4-2.x32  netcdf-cxx-4.2-7.x32  netcdf-cxx-devel-4.2-7.x32
poldek: A opencv-devel-3.4.8-2.x32  opencv-viz-3.4.8-2.x32  vtk-8.2.0-1.x32
poldek: A vtk-python3-8.2.0-1.x32  vtk-qt-8.2.0-1.x32
poldek: This operation will use 171.1MB of disk space.
poldek: Need to get 33.4MB of archives (3.0MB to download).
poldek: 
poldek: error: 25 unresolved dependencies
poldek: Retrieving [1/2] th::eigen3-3.3.7-1.x32.rpm................................................done
poldek: Retrieving [2/2] th::gdal-devel-3.0.4-2.x32.rpm............................................done
poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1...
poldek: error: Failed dependencies:
poldek: 	libnetcdf.so.15()(x32bit) is needed by gdal-3.0.4-2.x32
poldek: 	libpoppler.so.97()(x32bit) is needed by gdal-3.0.4-2.x32
poldek: 	libnetcdf.so.15()(x32bit) is needed by vtk-8.2.0-1.x32
uninstalling conflicting packages
removing vtk
error: vtk: no such package
package vtk removal failed
removing gdal
error: gdal: no such package
package gdal removal failed
checking BR
rpm: error: Failed build dependencies:
rpm: 	eigen3 >= 2.91.0 is needed by vtk-8.2.0-1.src
rpm: 	ffmpeg-devel is needed by vtk-8.2.0-1.src
rpm: 	gdal-devel is needed by vtk-8.2.0-1.src
rpm: 	netcdf-cxx-devel >= 4 is needed by vtk-8.2.0-1.src
rpm: Building target platforms: x32-pld-linux
installing BR: gdal\-devel ffmpeg\-devel netcdf\-cxx\-devel eigen3
+ poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' --upgrade gdal-devel ffmpeg-devel netcdf-cxx-devel eigen3
Loading [pndir]ready...
Loading [pndir]th-test...
Loading [pndir]th-test...
Loading [pndir]th-ready...
Loading [pndir]th-ready...
Loading [pndir]th...
Loading [pndir]th...
28057 packages read
Removed 2219 duplicate packages from available set
Processing dependencies...
There are 1 package to install:
A eigen3-3.3.7-1.x32
This operation will use 6.4MB of disk space.
Need to get 838.0KB of archives. 
Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1...
Preparing...                ##################################################
eigen3                      ##################################################
Installing set #2
Processing dependencies...
ffmpeg-devel-4.3.1-1.x32 marks opencv-devel-3.4.8-2.x32 (cap opencv-devel >= 2)
 opencv-devel-3.4.8-2.x32 marks opencv-viz-3.4.8-2.x32 (cap opencv-viz = 1:3.4.8-2)
  opencv-viz-3.4.8-2.x32 marks vtk-8.2.0-1.x32 (cap libvtkCommonCore.so.1()(x32bit))
   vtk-8.2.0-1.x32 marks gdal-3.0.4-2.x32 (cap libgdal.so.26()(x32bit))
error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
error: vtk-8.2.0-1.x32: req libnetcdf.so.15()(x32bit) not found
   vtk-8.2.0-1.x32 marks vtk-python3-8.2.0-1.x32 (cap libvtkWrappingPython38Core.so.1()(x32bit))
    vtk-python3-8.2.0-1.x32 marks vtk-qt-8.2.0-1.x32 (cap libvtkRenderingQt.so.1()(x32bit))
error: opencv-viz-3.4.8-2.x32: req libvtkCommonDataModel.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkCommonExecutionModel.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkCommonMath.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkCommonTransforms.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkFiltersCore.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkFiltersExtraction.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkFiltersGeneral.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkFiltersSources.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkFiltersTexture.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkIOCore.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkIOExport.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkIOGeometry.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkIOImage.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkIOPLY.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkImagingCore.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkInteractionStyle.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkRenderingCore.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkRenderingFreeType.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkRenderingGL2PSOpenGL2.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkRenderingLOD.so.1()(x32bit) not found
error: opencv-viz-3.4.8-2.x32: req libvtkRenderingOpenGL2.so.1()(x32bit) not found
There are 7 packages to install (6 marked by dependencies):
A ffmpeg-devel-4.3.1-1.x32  gdal-3.0.4-2.x32  opencv-devel-3.4.8-2.x32  
A opencv-viz-3.4.8-2.x32  vtk-8.2.0-1.x32  vtk-python3-8.2.0-1.x32  
A vtk-qt-8.2.0-1.x32
This operation will use 138.4MB of disk space.
Need to get 30.3MB of archives. 
error: 24 unresolved dependencies
Installing set #3
Processing dependencies...
gdal-devel-3.0.4-2.x32 marks gdal-3.0.4-2.x32 (cap gdal = 3.0.4-2)
error: gdal-3.0.4-2.x32: req libnetcdf.so.15()(x32bit) not found
error: gdal-3.0.4-2.x32: req libpoppler.so.97()(x32bit) not found
There are 2 packages to install (1 marked by dependencies):
A gdal-3.0.4-2.x32  gdal-devel-3.0.4-2.x32
This operation will use 46.5MB of disk space.
Need to get 8.7MB of archives. 
error: 2 unresolved dependencies
Installing set #4
Processing dependencies...
netcdf-cxx-devel-4.2-7.x32 marks netcdf-cxx-4.2-7.x32 (cap netcdf-cxx = 4.2-7)
There are 2 packages to install (1 marked by dependencies):
A netcdf-cxx-4.2-7.x32  netcdf-cxx-devel-4.2-7.x32
This operation will use 234.6KB of disk space.
Need to get 67.9KB of archives. 
Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1...
Preparing...                ##################################################
netcdf-cxx                  ##################################################
netcdf-cxx-devel            ##################################################
error: BR installation failed
+ chmod -R u+rwX /tmp/B.cAK3bb/BUILD
+ rm -rf /tmp/B.cAK3bb/tmp /tmp/B.cAK3bb/BUILD
+ rm -rf /tmp/B.cAK3bb
Begin-PLD-Builder-Info
Build-Time: user:12.76s sys:3.95s real:49.06s (faults io:133444 non-io:356139)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]